Page MenuHomePhabricator

F1. Enable Flow on all public wikis
Closed, ResolvedPublic

Description

When somebody on a project wants to try out Flow, I'd like to have it available.

This ticket is to enable Flow (with no visible pages) on every public wiki where it currently isn't.

Event Timeline

DannyH created this task.Jul 22 2015, 6:04 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH moved this task to Ready for next sprint on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2015, 6:04 PM
DannyH renamed this task from Make Flow enable-able on all WPs to Make Flow enable-able in all wikis everywhere.Jul 22 2015, 6:47 PM
DannyH set Security to None.
Catrope renamed this task from Make Flow enable-able in all wikis everywhere to Enable Flow on all wikis.Jul 22 2015, 6:48 PM
Catrope assigned this task to Legoktm.
Catrope added a project: StructuredDiscussions.
Legoktm renamed this task from Enable Flow on all wikis to Enable Flow on all public wikis.Jul 22 2015, 6:50 PM
Legoktm updated the task description. (Show Details)
DannyH removed Legoktm as the assignee of this task.Jul 23 2015, 12:33 AM
DannyH renamed this task from Enable Flow on all public wikis to F1. Enable Flow on all public wikis.Jul 23 2015, 12:41 AM
Meno25 added a subscriber: Meno25.Jul 24 2015, 11:18 AM

Change 226954 had a related patch set uploaded (by Mattflaschen):
Enable Flow on all wikis, except private and a couple special wikis

https://gerrit.wikimedia.org/r/226954

Stryn added a subscriber: Stryn.Jul 31 2015, 5:12 PM

The patch is updated. This requires product approval to confirm whether to enable Flow on wikis without VisualEditor.

There are also some technical things to confirm (e.g. there was a problem with Flow talk page manager on Commons).

Are there any Wikipedias that don't have VisualEditor?

The original purpose of this ticket was to enable Flow on all Wikipedias. It seems like it's running into delays based on non-WP issues. Is it possible to undo the scope creep and just have this on all WPs? There are several that are asking for Flow pages.

Are there any Wikipedias that don't have VisualEditor?

No.

Are there any Wikipedias that don't have VisualEditor?
The original purpose of this ticket was to enable Flow on all Wikipedias. It seems like it's running into delays based on non-WP issues. Is it possible to undo the scope creep and just have this on all WPs? There are several that are asking for Flow pages.

We can do all public wikis if you're okay with enabling it on Wikisource and Wiktionary (despite them not having VE).

If not (or you just want to defer that decision), we can enable on all public wikis except Wikisource and Wiktionary. There is no real reason I know of to only do Wikipedias.

Sitic added a subscriber: Sitic.Aug 2 2015, 12:52 AM

We said we'll enable it on the non-VE ones as well, but discuss again before actually enabling any pages there due to the lack of preview.

Change 226954 merged by jenkins-bot:
Enable Flow on all wikis, except private and a couple special wikis

https://gerrit.wikimedia.org/r/226954

Mattflaschen-WMF reopened this task as Open.Aug 4 2015, 12:03 AM

Most of these are not expected to actually have Flow boards, but Flow should now be installed on all public wikis.

A side note;
When VE is not checked in user Preferences - the VE is an option for editing pages. Except Flow Talk pages - users will always have VE options displayed even if they disabled it in their Preferences. Is it what was intended?

@Etonkovidova Yes, that is the intended behavior.

We don't want to tie the VE/wikitext preference for articles with the preference for Flow posts, because the way that you switch is very different. You can switch back and forth in the middle of a Flow post, but to change your edit window preference, you have to go into beta features. So if you switch from source to VE in a Flow post, then the next time you edit an article, you'd have to go to Beta and choose wikitext again.

Meno25 removed a subscriber: Meno25.Sep 20 2015, 3:22 PM